This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1031596 - [RFE] Make "General" sub tab look & feel more consistent
[RFE] Make "General" sub tab look & feel more consistent
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
bugs@ovirt.org
ux
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 06:13 EST by vszocs
Modified: 2015-04-02 14:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-22 11:46:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen-cast: tooltips (1.31 MB, video/ogg)
2014-02-05 17:56 EST, Einav Cohen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20964 None None None Never

  None (edit)
Description vszocs 2013-11-18 06:13:01 EST
Most (if not all) "General" sub tabs in WebAdmin and UserPortal mix two different kinds of widgets used for rendering values:

a, TextBoxLabel -> border-less <input type="text" readonly> element with added functionality [*]
b, ValueLabel -> span or div element (depending on usage) with no extra functionality
c, classes derived from ValueLabel, i.e. VersionLabel extends ValueLabel<RpmVersion>

[*] Right-clicking the input element causes the element to gain focus and select all text, so that the user can simply choose "Copy" within the context menu.

To make "General" sub tab look & feel more consistent, every (direct or indirect) usage of ValueLabel should be replaced with usage of appropriate TextBoxLabel.

Patch [http://gerrit.ovirt.org/#/c/21289/] introduces support for generic TextBoxLabel widget. All "General" sub tab views (i.e. SubTab{ENTITY}GeneralView) should be reviewed with regard to following changes.

Example 1 - direct usage of ValueLabel:

  operatingSystem = new ValueLabel<Integer>(new AbstractRenderer<Integer>() { ... });

  ... should become ...

  operatingSystem = new TextBoxLabelBase<Integer>(new AbstractRenderer<Integer>() { ... });


Example 2 - indirect usage of ValueLabel:

  VersionLabel libvirtVersion = new VersionLabel();

  public class VersionLabel extends ValueLabel<RpmVersion> {
    public VersionLabel() {
      super(new VersionRenderer());
    }
  }

  ... should become ...

  TextBoxLabelBase<RpmVersion> libvirtVersion = new TextBoxLabelBase<RpmVersion>(new VersionRenderer());

  // VersionLabel is now redundant and can be removed
Comment 1 anmol babu 2013-12-10 06:12:23 EST
The attached patch solves the issue in hosts->general sub tab
Comment 2 Einav Cohen 2014-02-05 17:56:07 EST
Created attachment 859905 [details]
screen-cast: tooltips

see attached screen-cast: you can see that everything is working properly in the General sub-tab within the VMs main tab, however in the General sub-tab in the Hosts main-tab, tooltips are properly displayed, except for the values in the far-right end of the sub-tab, for which tooltips are not displayed.
Comment 3 Einav Cohen 2014-02-05 17:56:46 EST
(In reply to Einav Cohen from comment #2)
> Created attachment 859905 [details]
> screen-cast: tooltips
> 
> see attached screen-cast: you can see that everything is working properly in
> the General sub-tab within the VMs main tab, however in the General sub-tab
> in the Hosts main-tab, tooltips are properly displayed, except for the
> values in the far-right end of the sub-tab, for which tooltips are not
> displayed.

ignore - this was meant for (related) bug 1061379.
Comment 4 Itamar Heim 2015-03-22 11:46:33 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.